query SoaRecordPage($id: ID!) {
    node(id: $id) {
        id
        ... on Domain {
            dnsZone {
                ... dnsZoneFields
            }
        }
        ... on DomainAlias {
            dnsZone {
                ... dnsZoneFields
            }
        }
    }
}

fragment dnsZoneFields on DnsZone {
    records(filter: { type: NS }) {
        value
    }
}
